package ovh.herisson.Clyde.EndPoints;


import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;
import ovh.herisson.Clyde.Repositories.PaymentRepository;
import ovh.herisson.Clyde.Responses.UnauthorizedResponse;
import ovh.herisson.Clyde.Tables.Minerval;
import ovh.herisson.Clyde.Tables.Payment;
import ovh.herisson.Clyde.Tables.Role;

import java.util.ArrayList;
import java.util.Calendar;
import java.util.GregorianCalendar;

@RestController
@CrossOrigin(originPatterns = "*", allowCredentials = "true")
public class PaymentController {

    private final PaymentRepository paymentRepository;

    public PaymentController(PaymentRepository paymentRepository){
        this.paymentRepository = paymentRepository;
    }

    //Post a payment record
    @PostMapping("/payment")
    public ResponseEntity<Object> postPayment(@RequestBody Payment payment){
        paymentRepository.save(payment);
        return new ResponseEntity<>(HttpStatus.OK);
    }


    //Get all payment records of a student
    @GetMapping("/payment/{studentRegNo}")
    public ResponseEntity<ArrayList<Payment>> getPaymentsByUser(@PathVariable long studentRegNo){
        ArrayList<Payment> toReturn = paymentRepository.getPaymentsByStudentRegNo(studentRegNo);
        return new ResponseEntity<>(toReturn, HttpStatus.OK);
    }

}
