package ovh.herisson.Clyde.EndPoints;

import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;
import ovh.herisson.Clyde.Repositories.ExemptionsRequestRepository;
import ovh.herisson.Clyde.Repositories.ScholarshipRequestRepository;
import ovh.herisson.Clyde.Tables.ExemptionsRequest;
import ovh.herisson.Clyde.Tables.RequestState;
import ovh.herisson.Clyde.Tables.ScholarshipRequest;

@RestController
@CrossOrigin(originPatterns = "*", allowCredentials = "true")
public class RequestsController {

    public final ExemptionsRequestRepository err;
    public final ScholarshipRequestRepository srr;

    public RequestsController(ExemptionsRequestRepository err, ScholarshipRequestRepository srr) {
        this.err = err;
        this.srr = srr;
    }

    @PostMapping(value="/exemptionreq")
    public ResponseEntity<String> register(@RequestBody ExemptionsRequest exemptionsRequest){

        //This line ensures that the request is sent in pending state not matter what
        exemptionsRequest.setState(RequestState.Pending);

        err.save(exemptionsRequest);

        return new ResponseEntity<>(HttpStatus.CREATED);
    }

    @PostMapping(value="/scholarshipreq")
    public ResponseEntity<String> register(@RequestBody ScholarshipRequest scholarshipRequest){

        //This line ensures that the request is sent in pending state not matter what
        scholarshipRequest.setState(RequestState.Pending);

        srr.save(scholarshipRequest);

        return new ResponseEntity<>(HttpStatus.CREATED);
    }
}
