package ovh.herisson.Clyde.Tables;


import jakarta.persistence.*;

//This table stores a student's curriculum from another university
@Entity
public class ExternalCurriculum {
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    private int id;

    private Long inscriptionRequestId;

    private String school;

    private String formation;

    //This string denotes the completion of the external formation or the last year completed by the student in this formation
    private String completion;

    private int startYear;
    private int endYear;
    private String justifdocUrl;

    //Accepted if the document justifies the claimed formation
    private RequestState state;

    public ExternalCurriculum(){}

    public ExternalCurriculum(Long ir, String school, String formation, String completion, int startYear, int endYear, String justifdocUrl, RequestState state){
        this.inscriptionRequestId = ir;
        this.school = school;
        this.formation = formation;
        this.completion = completion;
        this.startYear = startYear;
        this.endYear = endYear;
        this.justifdocUrl = justifdocUrl;
        this.state = state;
    }

    public int getId() {
        return id;
    }

    public Long getInscriptionRequestId() {
        return inscriptionRequestId;
    }

    public void setInscriptionRequest(Long inscriptionRequestId) {
        this.inscriptionRequestId = inscriptionRequestId;
    }

    public String getSchool() {
        return school;
    }

    public void setSchool(String school) {
        this.school = school;
    }

    public String getFormation() {
        return formation;
    }

    public void setFormation(String formation) {
        this.formation = formation;
    }

    public String getCompletion(){
        return completion;
    }

    public void setCompletion(String completion) {
        this.completion = completion;
    }

    public int getStartYear() {
        return startYear;
    }

    public void setStartYear(int startYear) {
        this.startYear = startYear;
    }

    public int getEndYear() {
        return endYear;
    }

    public void setEndYear(int endYear) {
        this.endYear = endYear;
    }

    public void setJustifdocUrl(String justifdocUrl) {
        this.justifdocUrl = justifdocUrl;
    }

    public String getJustifdocUrl() {
        return justifdocUrl;
    }

    public RequestState getState() {
        return state;
    }

    public void setState(RequestState state) {
        this.state = state;
    }
}
